Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVVertexArrayRange

    java.lang.Object
      org.lwjgl.opengl.NVVertexArrayRange

    public final class NVVertexArrayRange

extends java.lang.Object

Field Summary
`static int` | `GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV`
`static int` | `GL_VERTEX_ARRAY_RANGE_LENGTH_NV`
`static int` | `GL_VERTEX_ARRAY_RANGE_NV`
`static int` | `GL_VERTEX_ARRAY_RANGE_POINTER_NV`
`static int` | `GL_VERTEX_ARRAY_RANGE_VALID_NV`

Method Summary
`static java.nio.ByteBuffer` | `glAllocateMemoryNV(int size, float readFrequency, float writeFrequency, float priority)`
`static void` | `glFlushVertexArrayRangeNV()`
`static void` | `glFreeMemoryNV(java.nio.ByteBuffer pointer)`
`static void` | `glVertexArrayRangeNV(java.nio.ByteBuffer pPointer)`
`static void` | `glVertexArrayRangeNV(java.nio.DoubleBuffer pPointer)`
`static void` | `glVertexArrayRangeNV(java.nio.FloatBuffer pPointer)`
`static void` | `glVertexArrayRangeNV(java.nio.IntBuffer pPointer)`
`static void` | `glVertexArrayRangeNV(java.nio.ShortBuffer pPointer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_ARRAY_RANGE_NV

    public static final int GL_VERTEX_ARRAY_RANGE_NV

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY_RANGE_LENGTH_NV

    public static final int GL_VERTEX_ARRAY_RANGE_LENGTH_NV

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY_RANGE_VALID_NV

    public static final int GL_VERTEX_ARRAY_RANGE_VALID_NV

See Also:
  Constant Field Values

### GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV

    public static final int GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY_RANGE_POINTER_NV

    public static final int GL_VERTEX_ARRAY_RANGE_POINTER_NV

See Also:
  Constant Field Values

Method Detail

### glVertexArrayRangeNV

    public static void glVertexArrayRangeNV(java.nio.ByteBuffer pPointer)

### glVertexArrayRangeNV

    public static void glVertexArrayRangeNV(java.nio.DoubleBuffer pPointer)

### glVertexArrayRangeNV

    public static void glVertexArrayRangeNV(java.nio.FloatBuffer pPointer)

### glVertexArrayRangeNV

    public static void glVertexArrayRangeNV(java.nio.IntBuffer pPointer)

### glVertexArrayRangeNV

    public static void glVertexArrayRangeNV(java.nio.ShortBuffer pPointer)

### glFlushVertexArrayRangeNV

    public static void glFlushVertexArrayRangeNV()

### glAllocateMemoryNV

    public static java.nio.ByteBuffer glAllocateMemoryNV(int size,
                                                         float readFrequency,
                                                         float writeFrequency,
                                                         float priority)

### glFreeMemoryNV

    public static void glFreeMemoryNV(java.nio.ByteBuffer pointer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.